Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class FatalWorkflowTransitionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.ejb.EJBException
                              |
                              +--com.beasys.commerce.foundation.exception.SystemException
                                    |
                                    +--com.beasys.commerce.foundation.FatalWorkflowTransitionException

public class FatalWorkflowTransitionException
extends SystemException

`FatalWorkflowTransitionException` is thrown when an unexpected illegal workflow transition occurs. This exception is a system-level exception.

See Also:
  `SystemException`, Serialized Form

Fields inherited from class com.beasys.commerce.foundation.exception.SystemException
`logMessages, userMessages`

Constructor Summary
`FatalWorkflowTransitionException(java.lang.String currentStateName, java.lang.String attemptedTransitionName)` Class constructor.

Methods inherited from class com.beasys.commerce.foundation.exception.SystemException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class javax.ejb.EJBException
`getCausedByException, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FatalWorkflowTransitionException

    public FatalWorkflowTransitionException(java.lang.String currentStateName,
                                            java.lang.String attemptedTransitionName)

  Class constructor.

  Parameters:
    `currentStateName` - The name of the current Workflow state.
    `attemptedTransitionName` - The name of the attempted transition.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved